% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/covv.R
\name{..tcrossprod_diag0}
\alias{..tcrossprod_diag0}
\title{Compute the XX' and set the diagonale to zero.}
\usage{
..tcrossprod_diag0(X)
}
\arguments{
\item{X}{a matrix of numeric}
}
\description{
This is an internal function.
}
\examples{
   # Build a matrices of 3 x 4 matrix.
   A <- matrix(1:12,nrow=3)
   ..crossprod_diag0(A)


}
\author{
Eric Coissac & Christelle Gonindard-Melodelima
}
